# Create your views here
from django.contrib.auth.decorators import login_required
from django.contrib.auth import logout
from django.shortcuts import render_to_response
from django.http import HttpResponseRedirect
from ircTrack.bt.models import UserProfile,Ban,Event


@login_required(redirect_field_name='/openid/login/')
def index(request):
    return render_to_response('bt/events.html', { 
                'profile' : request.user.get_profile(), 
                'user' : request.user,
                'openid' : request,
                'events' : Event.objects.order_by('?')[:50],
                })


def logout_view(request):
    logout(request)
    return HttpResponseRedirect('/')
